## monotone-viz 0.14

=== Makefile ===

include config.make

OCAMLNET     := ocamlnet-0.97.1
EXTLIB       := extlib-1.3

VPATH = mlsqlite $(OCAMLNET) $(EXTLIB) glib crypto

MLINCDIRS = -I $(OCAMLNET) -I mlsqlite -I $(EXTLIB) -I $(LABLGTK_DIR) -I glib -I crypto
GTK_CFLAGS := $(shell pkg-config gtk+-2.0 --cflags)
GNOMECANVAS_CFLAGS := $(shell pkg-config libgnomecanvas-2.0 --cflags)


SRC = base64.ml base64.mli sqlite3.ml sqlite3.mli IO.mli IO.ml unzip.ml unzip.mli \
      gspawn.ml gspawn.mli giochannel.ml giochannel.mli viz_gmisc.ml gpattern.ml \
      crypto.ml crypto.mli \
      viz_misc.ml viz_misc.mli viz_types.ml viz_types.mli \
      q.ml q.mli \
      dot_lexer.ml dot_parser.ml dot_parser.mli \
      revision_types.mli revision_lexer.ml revision_parser.ml revision_parser.mli \
      subprocess.ml subprocess.mli \
      components.ml schema_lexer.ml \
      database.ml database.mli agraph.ml agraph.mli \
      autocolor.ml autocolor.mli viz_style.ml viz_style.mli \
      icon.ml ui.ml ui.mli unidiff.ml unidiff.mli \
      view.ml view.mli query.ml query.mli app.ml app.mli version.ml main.ml

C_OBJ = mlsqlite/ocaml-sqlite3.o \
        glib/ocaml-gspawn.o glib/ocaml-giochannel.o \
        glib/ocaml-misc.o glib/ocaml-gdate.o glib/ocaml-gpattern.o \
        crypto/ocaml-openssl.o \
        gnomecanvas_hack.o

USE_P4 = viz_style.ml

OBJ  = $(patsubst %.ml,%.cmo,$(filter %.ml, $(SRC)))
OBJX = $(patsubst %.ml,%.cmx,$(filter %.ml, $(SRC)))

DISTSRC = Makefile configure.ac config.make.in ocaml.m4 configure aclocal.m4 \
          monotone-viz.style.sample README INSTALL NEWS COPYING version.ml.in \
          viz_misc.ml viz_misc.mli viz_types.ml viz_types.mli q.ml q.mli \
          autocolor.ml autocolor.mli viz_style.ml viz_style.mli \
          dot_types.mli dot_lexer.mll dot_parser.mly \
          subprocess.ml subprocess.mli icon.ml ui.ml ui.mli \
          revision_types.mli revision_lexer.mll revision_parser.mly \
          components.ml schema_lexer.mll database.ml database.mli agraph.ml agraph.mli \
          unidiff.ml unidiff.mli gnomecanvas_hack.c view.ml view.mli \
          query.ml query.mli app.mli app.ml main.ml \
          mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli mlsqlite/ocaml-sqlite3.c \
          ocamlnet-0.97.1/base64.ml ocamlnet-0.97.1/base64.mli ocamlnet-0.97.1/LICENSE \
          extlib-1.3/IO.ml extlib-1.3/IO.mli extlib-1.3/unzip.ml extlib-1.3/unzip.mli \
          glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
          glib/viz_gmisc.ml glib/gpattern.ml \
          glib/ocaml-gspawn.c glib/ocaml-giochannel.c \
          glib/ocaml-misc.c glib/ocaml-gdate.c glib/ocaml-gpattern.c \
          glib/gspawn_tags.var glib/giochannel_tags.var \
          crypto/ocaml-openssl.c crypto/crypto.ml crypto/crypto.mli
DIST_LABLGTK= lablgtk/configure lablgtk/configure.in lablgtk/config.make.in \
              lablgtk/COPYING lablgtk/CHANGES lablgtk/README* \
              lablgtk/Makefile lablgtk/src/Makefile lablgtk/src/.depend \
              lablgtk/src/*.ml lablgtk/src/*.ml[il4] lablgtk/src/*.props \
              lablgtk/src/*.[ch] lablgtk/src/*.var lablgtk/src/lablgtk2.in



ifdef SQLITE_LIBS
LIB3RDPARTY_OBJ = $(C_OBJ)
SQLITE_LINK     = -ccopt "$(SQLITE_LIBS)"
else
LIB3RDPARTY_OBJ = $(MONOTONE_DIR)/sqlite/lib3rdparty_a-*.o $(C_OBJ)
endif

ifeq ($(OCAMLBEST), opt)
monotone-viz : $(OBJX) lib3rdparty.a
	$(OCAMLOPT) -o $@ -I . $(MLINCDIRS) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
monotone-viz : MLLIBS = str.cmxa lablgtk.cmxa gtkInit.cmx lablgnomecanvas.cmxa 
ifeq ($(LOCAL_LABLGTK), yes)
$(OBJX) : .lablgtk
endif
else
monotone-viz : $(OBJ) lib3rdparty.a
	$(OCAMLC) -custom -o $@ -I . $(MLINCDIRS) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
monotone-viz : MLLIBS = str.cma lablgtk.cma gtkInit.cmo lablgnomecanvas.cma 
ifeq ($(LOCAL_LABLGTK), yes)
$(OBJ) : .lablgtk
endif
endif

lib3rdparty.a : $(C_OBJ)
	ar crs lib3rdparty.a $(LIB3RDPARTY_OBJ)

glib/ocaml-gspawn.o : gspawn_tags.c gspawn_tags.h
glib/ocaml-giochannel.o : giochannel_tags.c giochannel_tags.h
glib/ocaml-%.o           : CINCDIRS = -I $(LABLGTK_DIR) -ccopt "$(GTK_CFLAGS)"
ifdef SQLITE_LIBS
mlsqlite/ocaml-sqlite3.o : CINCDIRS = -ccopt "$(SQLITE_CFLAGS)"
else
mlsqlite/ocaml-sqlite3.o : CINCDIRS = -I $(MONOTONE_DIR)/sqlite
endif
crypto/ocaml-openssl.o   : CINCDIRS = -ccopt "$(CRYPTO_CFLAGS)"
gnomecanvas_hack.o       : CINCDIRS = -ccopt "$(GNOMECANVAS_CFLAGS)"
$(EXTLIB)/unzip.%        : MLFLAGS += -w y

REVISION_FILE := $(shell test -r MT/revision && echo MT/revision)
REVISION_ID    = $(if $(REVISION_FILE),$(shell cat $(REVISION_FILE)))
version.ml : version.ml.in $(REVISION_FILE)
	sed -e 's/@REVISION@/$(REVISION_ID)/' -e 's/@VERSION@/$(VERSION)/' < $< > $@

%.ml : %.mll
	$(OCAMLLEX) $<

%.mli %.ml : %.mly
	$(OCAMLYACC) $< 

PP = $(if $(findstring $(1),$(USE_P4)),-pp $(CAMLP4O))

%.cmo : %.ml
	$(OCAMLC) $(MLFLAGS) $(MLINCDIRS) $(call PP,$<) -c $<

%.cmx : %.ml
	$(OCAMLOPT) $(MLFLAGS) $(MLINCDIRS) $(call PP,$<) -c $<

%.cmi : %.mli
	$(OCAMLC) $(MLINCDIRS) $<

%.o : %.c
	cd $(<D) ; $(OCAMLC) $(CINCDIRS) $(if $(CPPFLAGS),-ccopt "$(CPPFLAGS)") $(<F)

%.c %.h : %.var
	cd $(<D) ; $(LABLGTK_DIR)/varcc -static $(<F)

clean :
	rm -f *.a *.so *.o *.cm* monotone-viz
	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli
	rm -f revision_lexer.ml revision_parser.ml revision_parser.mli
	rm -f schema_lexer.ml
	cd mlsqlite && rm -f *.a *.so *.o *.cm*
	cd $(OCAMLNET) && rm -f *.o *.cm*
	cd $(EXTLIB) && rm -f *.o *.cm*
	cd glib   && rm -f *.o *.cm*
	cd crypto && rm -f *.o *.cm*

install :
	install -d $(DESTDIR)$(bindir)
	install -m 0755 monotone-viz \
		$(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`

uninstall :
	rm -f $(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`

.PHONY : clean dist

ifeq ($OCAMLBEST, opt)
DEP_FLAGS = -native
endif

-include .depend
.depend : $(SRC)
	@echo "making deps ..."
	@$(OCAMLDEP) $(DEP_FLAGS) $(addprefix -I ,$(VPATH)) $(filter-out $(USE_P4),$^) > $@
	@$(OCAMLDEP) $(DEP_FLAGS) -pp '$(CAMLP4O)' $(USE_P4) >> $@

dist : ../$(NAME)-$(VERSION).tar.gz
dist-nolablgtk : ../$(NAME)-$(VERSION)-nolablgtk.tar.gz
../$(NAME)-$(VERSION).tar.gz : $(DISTSRC)  $(DIST_LABLGTK)
../$(NAME)-$(VERSION)-nolablgtk.tar.gz : $(DISTSRC)
../%.tar.gz :
	export DIRNAME="$${PWD##*/}" ; \
        cd .. && mv "$$DIRNAME" $(NAME)-$(VERSION) && \
        tar zcvf $(@F) $(addprefix $(NAME)-$(VERSION)/,$^) && \
        mv $(NAME)-$(VERSION) "$$DIRNAME"

# no config.make
ifndef OCAMLLEX
$(error run ./configure first (cf README))
endif

.lablgtk :
	$(MAKE) -C lablgtk world
	touch $@

## monotone-viz 0.15

=== Makefile ===
--- 
+++ 
@@ -4,16 +4,18 @@
 OCAMLNET     := ocamlnet-0.97.1
 EXTLIB       := extlib-1.3
 
-VPATH = mlsqlite $(OCAMLNET) $(EXTLIB) glib crypto
-
-MLINCDIRS = -I $(OCAMLNET) -I mlsqlite -I $(EXTLIB) -I $(LABLGTK_DIR) -I glib -I crypto
+MLINCDIRS_LOCAL = -I $(OCAMLNET) -I mlsqlite -I $(EXTLIB) -I glib -I crypto
+MLINCDIRS       = -I $(LABLGTK_DIR) $(MLINCDIRS_LOCAL)
 GTK_CFLAGS := $(shell pkg-config gtk+-2.0 --cflags)
 GNOMECANVAS_CFLAGS := $(shell pkg-config libgnomecanvas-2.0 --cflags)
 
 
-SRC = base64.ml base64.mli sqlite3.ml sqlite3.mli IO.mli IO.ml unzip.ml unzip.mli \
-      gspawn.ml gspawn.mli giochannel.ml giochannel.mli viz_gmisc.ml gpattern.ml \
-      crypto.ml crypto.mli \
+SRC = $(OCAMLNET)/base64.ml $(OCAMLNET)/base64.mli \
+      mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli \
+      $(EXTLIB)/IO.mli $(EXTLIB)/IO.ml $(EXTLIB)/unzip.ml $(EXTLIB)/unzip.mli \
+      glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
+      glib/viz_gmisc.ml glib/gpattern.ml \
+      crypto/crypto.ml crypto/crypto.mli \
       viz_misc.ml viz_misc.mli viz_types.ml viz_types.mli \
       q.ml q.mli \
       dot_lexer.ml dot_parser.ml dot_parser.mli \
@@ -46,7 +48,8 @@
           components.ml schema_lexer.mll database.ml database.mli agraph.ml agraph.mli \
           unidiff.ml unidiff.mli gnomecanvas_hack.c view.ml view.mli \
           query.ml query.mli app.mli app.ml main.ml \
-          mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli mlsqlite/ocaml-sqlite3.c \
+          mlsqlite/sqlite3.ml mlsqlite/sqlite3.mli \
+          mlsqlite/config.h mlsqlite/ocaml-sqlite3.h mlsqlite/ocaml-sqlite3.c \
           ocamlnet-0.97.1/base64.ml ocamlnet-0.97.1/base64.mli ocamlnet-0.97.1/LICENSE \
           extlib-1.3/IO.ml extlib-1.3/IO.mli extlib-1.3/unzip.ml extlib-1.3/unzip.mli \
           glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
@@ -65,21 +68,21 @@
 
 ifdef SQLITE_LIBS
 LIB3RDPARTY_OBJ = $(C_OBJ)
-SQLITE_LINK     = -ccopt "$(SQLITE_LIBS)"
+SQLITE_LINK     = -cclib "$(SQLITE_LIBS)"
 else
 LIB3RDPARTY_OBJ = $(MONOTONE_DIR)/sqlite/lib3rdparty_a-*.o $(C_OBJ)
 endif
 
 ifeq ($(OCAMLBEST), opt)
 monotone-viz : $(OBJX) lib3rdparty.a
-	$(OCAMLOPT) -o $@ -I . $(MLINCDIRS) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
+	$(OCAMLOPT) -o $@ -I $(LABLGTK_DIR) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
 monotone-viz : MLLIBS = str.cmxa lablgtk.cmxa gtkInit.cmx lablgnomecanvas.cmxa 
 ifeq ($(LOCAL_LABLGTK), yes)
 $(OBJX) : .lablgtk
 endif
 else
 monotone-viz : $(OBJ) lib3rdparty.a
-	$(OCAMLC) -custom -o $@ -I . $(MLINCDIRS) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
+	$(OCAMLC) -custom -o $@ -I $(LABLGTK_DIR) $(MLLIBS) $^ $(CRYPTO_LIB) $(SQLITE_LINK)
 monotone-viz : MLLIBS = str.cma lablgtk.cma gtkInit.cmo lablgnomecanvas.cma 
 ifeq ($(LOCAL_LABLGTK), yes)
 $(OBJ) : .lablgtk
@@ -89,8 +92,8 @@
 lib3rdparty.a : $(C_OBJ)
 	ar crs lib3rdparty.a $(LIB3RDPARTY_OBJ)
 
-glib/ocaml-gspawn.o : gspawn_tags.c gspawn_tags.h
-glib/ocaml-giochannel.o : giochannel_tags.c giochannel_tags.h
+glib/ocaml-gspawn.o : glib/gspawn_tags.c glib/gspawn_tags.h
+glib/ocaml-giochannel.o : glib/giochannel_tags.c glib/giochannel_tags.h
 glib/ocaml-%.o           : CINCDIRS = -I $(LABLGTK_DIR) -ccopt "$(GTK_CFLAGS)"
 ifdef SQLITE_LIBS
 mlsqlite/ocaml-sqlite3.o : CINCDIRS = -ccopt "$(SQLITE_CFLAGS)"
@@ -101,8 +104,8 @@
 gnomecanvas_hack.o       : CINCDIRS = -ccopt "$(GNOMECANVAS_CFLAGS)"
 $(EXTLIB)/unzip.%        : MLFLAGS += -w y
 
-REVISION_FILE := $(shell test -r MT/revision && echo MT/revision)
-REVISION_ID    = $(if $(REVISION_FILE),$(shell cat $(REVISION_FILE)))
+REVISION_FILE := $(shell test -r _MTN/revision && echo _MTN/revision)
+REVISION_ID    = $(shell mtn automate get_base_revision_id || ( test -r _MTN/revision && cat _MTN/revision ))
 version.ml : version.ml.in $(REVISION_FILE)
 	sed -e 's/@REVISION@/$(REVISION_ID)/' -e 's/@VERSION@/$(VERSION)/' < $< > $@
 
@@ -157,7 +160,7 @@
 -include .depend
 .depend : $(SRC)
 	@echo "making deps ..."
-	@$(OCAMLDEP) $(DEP_FLAGS) $(addprefix -I ,$(VPATH)) $(filter-out $(USE_P4),$^) > $@
+	@$(OCAMLDEP) $(DEP_FLAGS) $(MLINCDIRS_LOCAL) $(filter-out $(USE_P4),$^) > $@
 	@$(OCAMLDEP) $(DEP_FLAGS) -pp '$(CAMLP4O)' $(USE_P4) >> $@
 
 dist : ../$(NAME)-$(VERSION).tar.gz

## monotone-viz 1.0.1

=== Makefile ===

include config.make

MLINCDIRS_LOCAL = -I glib
MLINCDIRS       = -I $(LABLGTK_DIR) $(MLINCDIRS_LOCAL)
GTK_CFLAGS         := $(shell pkg-config gtk+-2.0 --cflags)
GNOMECANVAS_CFLAGS := $(shell pkg-config libgnomecanvas-2.0 pangoft2 --cflags)


SRC = glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
      glib/viz_gmisc.ml glib/gpattern.ml \
      viz_misc.ml viz_misc.mli viz_types.ml viz_types.mli \
      q.ml q.mli \
      dot_lexer.ml dot_parser.ml dot_parser.mli \
      basic_io_lexer.mli basic_io_lexer.ml revision.mli revision.ml \
      subprocess.ml subprocess.mli \
      components.ml \
      automate.mli automate.ml monotone.mli monotone.ml \
      agraph.ml agraph.mli \
      autocolor.ml autocolor.mli viz_style.ml viz_style.mli \
      version.ml icon.ml ui.ml ui.mli unidiff.ml unidiff.mli \
      view.ml view.mli query.ml query.mli app.ml app.mli main.ml

C_OBJ = glib/ocaml-gspawn.o glib/ocaml-giochannel.o \
        glib/ocaml-misc.o glib/ocaml-gdate.o glib/ocaml-gpattern.o \
        gnomecanvas_hack.o

USE_P4 = viz_style.ml revision.ml

OBJ  = $(patsubst %.ml,%.cmo,$(filter %.ml, $(SRC)))
OBJX = $(patsubst %.ml,%.cmx,$(filter %.ml, $(SRC)))

DISTSRC = Makefile configure.ac config.make.in ocaml.m4 configure aclocal.m4 \
          monotone-viz.style.sample README INSTALL NEWS COPYING version.ml.in \
          viz_misc.ml viz_misc.mli viz_types.ml viz_types.mli q.ml q.mli \
          autocolor.ml autocolor.mli viz_style.ml viz_style.mli \
          dot_types.mli dot_lexer.mll dot_parser.mly \
          subprocess.ml subprocess.mli icon.ml ui.ml ui.mli \
          basic_io_lexer.mll basic_io_lexer.mli revision.mli revision.ml \
          components.ml automate.mli automate.ml monotone.mli monotone.ml agraph.ml agraph.mli \
          unidiff.ml unidiff.mli gnomecanvas_hack.c view.ml view.mli \
          query.ml query.mli app.mli app.ml main.ml \
          glib/gspawn.ml glib/gspawn.mli glib/giochannel.ml glib/giochannel.mli \
          glib/viz_gmisc.ml glib/gpattern.ml \
          glib/ocaml-gspawn.c glib/ocaml-giochannel.c \
          glib/ocaml-misc.c glib/ocaml-gdate.c glib/ocaml-gpattern.c \
          glib/gspawn_tags.var glib/giochannel_tags.var
DIST_LABLGTK= lablgtk/configure lablgtk/configure.in lablgtk/config.make.in \
              lablgtk/COPYING lablgtk/CHANGES lablgtk/README* \
              lablgtk/Makefile lablgtk/src/Makefile lablgtk/src/.depend \
              lablgtk/src/*.ml lablgtk/src/*.ml[il4] lablgtk/src/*.props \
              lablgtk/src/*.[ch] lablgtk/src/*.var lablgtk/src/lablgtk2.in



LIB3RDPARTY_OBJ = $(C_OBJ)

ifeq ($(OCAMLBEST), opt)
monotone-viz : $(OBJX) lib3rdparty.a
	$(OCAMLOPT) -o $@ -I $(LABLGTK_DIR) $(MLLIBS) $^
monotone-viz : MLLIBS = str.cmxa lablgtk.cmxa gtkInit.cmx lablgnomecanvas.cmxa 
ifeq ($(LOCAL_LABLGTK), yes)
$(OBJX) : .lablgtk
endif
else
monotone-viz : $(OBJ) lib3rdparty.a
	$(OCAMLC) -custom -o $@ -I $(LABLGTK_DIR) $(MLLIBS) $^
monotone-viz : MLLIBS = str.cma lablgtk.cma gtkInit.cmo lablgnomecanvas.cma 
ifeq ($(LOCAL_LABLGTK), yes)
$(OBJ) : .lablgtk
endif
endif

lib3rdparty.a : $(C_OBJ)
	ar crs lib3rdparty.a $(LIB3RDPARTY_OBJ)

glib/ocaml-gspawn.o : glib/gspawn_tags.c glib/gspawn_tags.h
glib/ocaml-giochannel.o : glib/giochannel_tags.c glib/giochannel_tags.h
glib/ocaml-%.o           : CINCDIRS = -I $(LABLGTK_DIR) -ccopt "$(GTK_CFLAGS)"
gnomecanvas_hack.o       : CINCDIRS = -ccopt "$(GNOMECANVAS_CFLAGS)"

REVISION_FILE := $(shell test -r _MTN/revision && echo _MTN/revision)
REVISION_ID    = $(shell mtn automate get_base_revision_id)
version.ml : version.ml.in $(REVISION_FILE)
	sed -e 's/@REVISION@/$(REVISION_ID)/' -e 's/@VERSION@/$(VERSION)/' < $< > $@

%.ml : %.mll
	$(OCAMLLEX) $<

%.mli %.ml : %.mly
	$(OCAMLYACC) $< 

PP = $(if $(findstring $(1),$(USE_P4)),-pp $(CAMLP4O))

%.cmo : %.ml
	$(OCAMLC) $(MLFLAGS) $(MLINCDIRS) $(call PP,$<) -c $<

%.cmx : %.ml
	$(OCAMLOPT) $(MLFLAGS) $(MLINCDIRS) $(call PP,$<) -c $<

%.cmi : %.mli
	$(OCAMLC) $(MLINCDIRS) $<

%.o : %.c
	cd $(<D) ; $(OCAMLC) $(CINCDIRS) $(if $(CPPFLAGS),-ccopt "$(CPPFLAGS)") $(<F)

%.c %.h : %.var
	cd $(<D) ; $(LABLGTK_DIR)/varcc -static $(<F)

clean :
	rm -f *.a *.so *.o *.cm* monotone-viz
	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml
	cd glib   && rm -f *.o *.cm*

install :
	install -d $(DESTDIR)$(bindir)
	install -m 0755 monotone-viz \
		$(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`

uninstall :
	rm -f $(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`

.PHONY : clean dist

ifeq ($OCAMLBEST, opt)
DEP_FLAGS = -native
endif

-include .depend
.depend : $(SRC)
	@echo "making deps ..."
	@$(OCAMLDEP) $(DEP_FLAGS) $(MLINCDIRS_LOCAL) $(filter-out $(USE_P4),$^) > $@
	@$(OCAMLDEP) $(DEP_FLAGS) -pp '$(CAMLP4O)' $(USE_P4) >> $@

dist : ../$(NAME)-$(VERSION).tar.gz
dist-nolablgtk : ../$(NAME)-$(VERSION)-nolablgtk.tar.gz
../$(NAME)-$(VERSION).tar.gz : $(DISTSRC)  $(DIST_LABLGTK)
../$(NAME)-$(VERSION)-nolablgtk.tar.gz : $(DISTSRC)
../%.tar.gz :
	export DIRNAME="$${PWD##*/}" ; \
        cd .. && mv "$$DIRNAME" $(NAME)-$(VERSION) && \
        tar zcvf $(@F) $(addprefix $(NAME)-$(VERSION)/,$^) && \
        mv $(NAME)-$(VERSION) "$$DIRNAME"

# no config.make
ifndef OCAMLLEX
$(error run ./configure first (cf README))
endif

.lablgtk :
	$(MAKE) -C lablgtk world
	touch $@

## monotone-viz 1.0.1+mtn20080403-1

=== Makefile ===
--- 
+++ 
@@ -112,6 +112,11 @@
 	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml
 	cd glib   && rm -f *.o *.cm*
 
+distclean : clean
+	rm -f .depend config.log config.make config.status version.ml
+	cd glib && rm -f giochannel_tags.c giochannel_tags.h \
+		gspawn_tags.c gspawn_tags.h
+
 install :
 	install -d $(DESTDIR)$(bindir)
 	install -m 0755 monotone-viz \
@@ -120,7 +125,7 @@
 uninstall :
 	rm -f $(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`
 
-.PHONY : clean dist
+.PHONY : clean dist distclean
 
 ifeq ($OCAMLBEST, opt)
 DEP_FLAGS = -native

=== debian/changelog ===
monotone-viz (1.0.1+mtn20080403-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Thu,  3 Apr 2008 16:36:41 +0200

monotone-viz (1.0+mtn20080102-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  2 Jan 2008 14:43:57 +0100

monotone-viz (0.15+mtn20070704-6) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 20:11:14 +0200

monotone-viz (0.15+mtn20070704-5) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 20:03:48 +0200

monotone-viz (0.15+mtn20070704-4) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 19:55:25 +0200

monotone-viz (0.15+mtn20070704-3) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 19:37:33 +0200

monotone-viz (0.15+mtn20070704-2) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 19:17:59 +0200

monotone-viz (0.15+mtn20070704-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed,  4 Jul 2007 18:39:35 +0200

monotone-viz (0.15+mtn20070221-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Wed, 21 Feb 2007 20:55:44 +0100

monotone-viz (0.15+mtn20061020-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Fri, 20 Oct 2006 05:29:22 +0200

monotone-viz (0.15+mtn20061017-1) unstable; urgency=low

  * Snapshot build (built with dpkg-buildpackage)

 -- Richard Levitte <richard@levitte.org>  Tue, 17 Oct 2006 05:15:25 +0200

monotone-viz (0.14-3) unstable; urgency=low

  * Add libssl-dev to the build dependencies. 

 -- Shaun Jackman <sjackman@debian.org>  Thu, 13 Apr 2006 14:41:05 -0600

monotone-viz (0.14-2) unstable; urgency=low

  * Add liblablgtk2-gnome-ocaml-dev to the build dependencies.
    Closes: #361737. Thanks to Frederik Schüler <fs@debian.org>.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Apr 2006 09:29:38 -0600

monotone-viz (0.14-1) unstable; urgency=low

  * Initial release. Closes: #305508, #318023.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 21 Mar 2006 09:39:15 -0700

=== debian/control ===
Source: monotone-viz
Section: devel
Priority: optional
Maintainer: Richard Levitte <richard@levitte.org>
Build-Depends: liblablgtk2-gnome-ocaml-dev, gawk, pkg-config, debhelper
Standards-Version: 3.7.3

Package: monotone-viz
Section: devel
Architecture: any
Depends: graphviz, ${shlibs:Depends}
Recommends: monotone
Description: visualize a monotone repository
 Monotone-viz is a small GTK+ application that visualizes monotone
 ancestry graphs. Monotone is a free distributed version control
 system. Montone-viz is developed in the Objective Caml language,
 using the GTK+ and libgnomecanvas libraries (via LablGTK, an OCaml
 binding for GTK+), and it uses the dot program from the Graphviz
 package.
 .
 This package is built from a combination of the following monotone
 branches:
 .
   net.venge.monotone-viz             - the old main development branch
   net.venge.monotone-viz.automate    - the current main development branch

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	./configure --prefix=/usr --with-shared-sqlite
	$(MAKE)
	touch $@

install: build
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/monotone-viz

clean:
	rm -f build-stamp 
	dh_clean 
	[ ! -f Makefile ] || $(MAKE) distclean

binary-indep:

binary-arch binary: install
	dh_installchangelogs -a NEWS
	dh_installdocs -a
	dh_installman -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: build install clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://oandrieu.nerim.net/monotone-viz/ monotone-viz-(.*)-nolablgtk\.tar\.gz debian uupdate

## monotone-viz 1.0.2

=== Makefile ===
--- 
+++ 
@@ -109,13 +109,8 @@
 
 clean :
 	rm -f *.a *.so *.o *.cm* monotone-viz
-	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml
+	rm -f dot_lexer.ml dot_parser.ml dot_parser.mli basic_io_lexer.ml version.ml
 	cd glib   && rm -f *.o *.cm*
-
-distclean : clean
-	rm -f .depend config.log config.make config.status version.ml
-	cd glib && rm -f giochannel_tags.c giochannel_tags.h \
-		gspawn_tags.c gspawn_tags.h
 
 install :
 	install -d $(DESTDIR)$(bindir)
@@ -125,7 +120,7 @@
 uninstall :
 	rm -f $(DESTDIR)$(bindir)/`echo monotone-viz | sed '$(transform)'`
 
-.PHONY : clean dist distclean
+.PHONY : clean dist
 
 ifeq ($OCAMLBEST, opt)
 DEP_FLAGS = -native
